GET
/thing-registration-tasks/{taskId}/reports#reportType
http://iot.{region}.amazonaws.com/thing-registration-tasks/{taskId}/reports#reportTypeInformation about the thing registration tasks.
Access Token Required: API Key
Path Parameters
taskIdstringrequired
The id of the task.
Query Params
reportTypestringrequired
The type of task report.
Allowed:
nextTokenstring
To retrieve the next set of results, the <code>nextToken</code> value from a previous response; otherwise <b>null</b> to receive the first set of results.
maxResultsinteger
The maximum number of results to return per request.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://iot.{region}.amazonaws.com/thing-registration-tasks/{taskId}/reports#reportType' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}